For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
  • Transaction API
      • GETGet Reports
      • GETGet report
      • GETGet report download URL
      • GETGet invoice lines report
      • GETGet invoice tax report
      • GETGet invoice header report
      • POSTSearch reports
      • GETGet ReportGenerateRequests
      • POSTCreate a ReportGenerateRequest
      • POSTSearch ReportGenerateRequests
      • GETGet ReportGenerateRequest
      • GETGet Report
  • Event API
LoginSandbox
Transaction APIReports

Create a ReportGenerateRequest

POST
/v:version/report-generate-requests
POST
/v:version/report-generate-requests
$curl -X POST https://api.solvimon.com/v1/report-generate-requests \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "object_type": "string",
3 "id": "string",
4 "customer_id": "string",
5 "invoice_id": "string",
6 "generate_at": "2024-01-15T09:30:00Z",
7 "report_code": "INVOICE",
8 "parameter_values": [
9 {
10 "name": "report_date",
11 "value": "string"
12 }
13 ],
14 "status": "string",
15 "report_subscription_id": "string",
16 "report_configuration_id": "string",
17 "run_type": "string",
18 "export_location": {
19 "integration_id": "string",
20 "variant": "BIGQUERY",
21 "stream_name": "string",
22 "bigquery": {
23 "dataset_id": "string"
24 },
25 "s3": {
26 "bucket_path": "string",
27 "path_format": "string",
28 "format_type": "CSV"
29 },
30 "gcs": {
31 "bucket_path": "string",
32 "path_format": "string",
33 "format_type": "CSV"
34 }
35 }
36}

Requires the REPORT_GENERATE_REQUEST.CREATE permission.

Was this page helpful?
Previous

Search ReportGenerateRequests

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
customer_idstring or nullOptional
Resource ID of type CUSTOMER
invoice_idstring or nullOptional
Resource ID of type INVOICE
generate_atdatetimeOptional
report_codeenumOptional
parameter_valueslist of objectsOptional
report_subscription_idstring or nullOptional
report_configuration_idstringOptional

Resource ID of type REPORT_CONFIGURATION

export_locationobjectOptional

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
customer_idstring or null
Resource ID of type CUSTOMER
invoice_idstring or null
Resource ID of type INVOICE
generate_atdatetime
report_codeenum
parameter_valueslist of objects
statusstring or nullRead-only
report_subscription_idstring or null
report_configuration_idstring

Resource ID of type REPORT_CONFIGURATION

run_typestring or nullRead-only
export_locationobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error